Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.util.rewriter
Class URLRewriterService

    java.lang.Object
      com.bea.struts.adapter.util.rewriter.URLRewriterService

public class URLRewriterService
extends Object

Methods for registering URL rewriters, and for rewriting URLs using registered rewriters.

Constructor Summary
`URLRewriterService()`

Method Summary
`static String` | `createActionURL(PageContext pageContext, String action, String type)`
`static String` | `getActionMappingName(String action)` Return the form action converted into an action mapping path.
`static URLRewriter` | `getDefaultRewriter()` Get the default URLRewriter.
`protected static URLRewriter` | `getRewriter(ServletRequest request)`
`static boolean` | `isStandAloneForward(ServletRequest request)` Used to determine whether or not a tag is to be rendered within a nested environment, such as a portal.
`static void` | `registerURLRewriter(ServletRequest request, URLRewriter rewriter)` Register a URLRewriter in the request.
`static String` | `rewriteName(ServletContext servletContext, ServletRequest request, String name)` Rewrite the given parameter name, using the registered URLRewriter.
`static String` | `rewriteURL(ServletContext servletContext, ServletRequest request, ServletResponse response, String url, String type)` Rewrite the given URL, using the registered URLRewriter.
`static String` | `rewriteURL(ServletContext servletContext, ServletRequest request, ServletResponse response, String url, String type, boolean doEncode)` Rewrite the given URL, using the registered URLRewriter.
`static URLRewriter` | `unregisterURLRewriter(ServletRequest request)` Unregister the URLRewriter from the request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLRewriterService

    public URLRewriterService()

Method Detail

### createActionURL

    public static String createActionURL(PageContext pageContext,
                                         String action,
                                         String type)

### getActionMappingName

    public static String getActionMappingName(String action)

  Return the form action converted into an action mapping path. The value of the `action` property is manipulated as follows in computing the name of the requested mapping:
  - Any filename extension is removed (on the theory that extension mapping is being used to select the controller servlet).
  - If the resulting value does not start with a slash, then a slash is prepended.

  Parameters:
    `action` - the action name to be converted.
  Returns:
    an action path, suitable for lookup in the Struts configuration file.

### getDefaultRewriter

    public static final URLRewriter getDefaultRewriter()

  Get the default URLRewriter.

  Returns:
    an instance of `DefaultURLRewriter`.

### getRewriter

    protected static URLRewriter getRewriter(ServletRequest request)

### isStandAloneForward

    public static boolean isStandAloneForward(ServletRequest request)

  Used to determine whether or not a tag is to be rendered within a nested environment, such as a portal.

### registerURLRewriter

    public static void registerURLRewriter(ServletRequest request,
                                           URLRewriter rewriter)

  Register a URLRewriter in the request. This rewriter will be used if `rewriteURL(javax.servlet.ServletContext, javax.servlet.ServletRequest, javax.servlet.ServletResponse, java.lang.String, java.lang.String)` is called.

  Parameters:
    `request` - the current HttpServletRequest.
    `rewriter` - the URLRewriter to register.

### rewriteName

    public static String rewriteName(ServletContext servletContext,
                                     ServletRequest request,
                                     String name)

  Rewrite the given parameter name, using the registered URLRewriter.

  Parameters:
    `servletContext` - the current ServletContext.
    `request` - the current HttpServletRequest.
    `name` - the parameter name to rewrite.
  Returns:
    the rewritten parameter name.

### rewriteURL

    public static String rewriteURL(ServletContext servletContext,
                                    ServletRequest request,
                                    ServletResponse response,
                                    String url,
                                    String type)

  Rewrite the given URL, using the registered URLRewriter.

  Parameters:
    `servletContext` - the current ServletContext.
    `request` - the current HttpServletRequest.
    `response` - the current HttpServletResponse.
    `url` - the URL to rewrite.
    `type` - the type of URL to be rewritten. This is one of the following values:
    - `action`: a standard (non-resource) URL, for which SSL is not required
    - `secure-action`: a standard (non-resource) URL, for which SSL is required
    - `resource`: a resource (e.g., image) URL, for which SSL is not required
    - `secure-resource`: a resource (e.g., image) URL, for which SSL is required
  Returns:
    the rewritten URL.
  See Also:
    `registerURLRewriter(javax.servlet.ServletRequest, com.bea.struts.adapter.util.rewriter.URLRewriter)`

### rewriteURL

    public static String rewriteURL(ServletContext servletContext,
                                    ServletRequest request,
                                    ServletResponse response,
                                    String url,
                                    String type,
                                    boolean doEncode)

  Rewrite the given URL, using the registered URLRewriter.

  Parameters:
    `servletContext` - the current ServletContext.
    `request` - the current HttpServletRequest.
    `response` - the current HttpServletResponse.
    `url` - the URL to rewrite.
    `type` - the type of URL to be rewritten. This is one of the following values:
    - `action`: a standard (non-resource) URL, for which SSL is not required
    - `secure-action`: a standard (non-resource) URL, for which SSL is required
    - `resource`: a resource (e.g., image) URL, for which SSL is not required
    - `secure-resource`: a resource (e.g., image) URL, for which SSL is required
    `doEncode` - if `true`, the rewritten URL will be encoded using `HttpServletResponse.encodeRedirectURL(java.lang.String)`.
  Returns:
    the rewritten URL.
  See Also:
    `registerURLRewriter(javax.servlet.ServletRequest, com.bea.struts.adapter.util.rewriter.URLRewriter)`

### unregisterURLRewriter

    public static URLRewriter unregisterURLRewriter(ServletRequest request)

  Unregister the URLRewriter from the request.

  Parameters:
    `request` - the current HttpServletRequest.
  Returns:
    the URLRewriter that was unregistered, or `null` if there was none registered.
  See Also:
    `registerURLRewriter(javax.servlet.ServletRequest, com.bea.struts.adapter.util.rewriter.URLRewriter)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved